WEF

Oct 16, 2010 at 12:19 AM

jbe -

Which version of WEF did you include in your BookLibrary Winforms Adapter version?  Looks like it was MEF Preview 9?   I'm using your framework and I want to include the actual source for MEF so I can debug better (currently just copied the MEF dll that you supplied in the sample).   So far its working quite well to bridge the gap that I described previously - thanks for the effort building this framework.  I did use the DataRepeater as you suggested and got it to work.

Thanks,

Joel

 

 

Coordinator
Oct 16, 2010 at 4:42 PM

Hi Joel,

You are right – the WAF Windows Forms Adapter uses the “Preview 9” version of MEF. This was the last version Microsoft shipped of MEF for .NET 3.5 – that’s the reason I have chosen this version. However, it should be 100% API compatible with .NET 4 MEF or the most recent MEF 2.0 versions.

jbe